<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class AktuellesWB extends Datamodul
{
  
  public $titel;

  
  public $inhalt;

  
  public $autor;

  
  public $bildpfad;

  
  public $anzeige_news;

  
  public $anzeige_rss;

  
  public $gueltigAb;

  
  public $gueltigBis;

  
  public $erstelldatum;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'erstelldatum':
      case 'gueltigBis':
      case 'gueltigAb':
        return \DatamodulVarType::TYPE_DATETIME;
      case 'anzeige_news':
      case 'anzeige_rss':
        return \DatamodulVarType::TYPE_BOOL;
    }
  }
}